import sys
from setuptools import setup

install_requires = [
    "jedi",
    "epc",
    "pyflakes",
    "flake8",
    "ipython",
    "tox",
    "detox",
    "pytest",
    "pytest-xdist",
    "greenlet",
    "wsgi_intercept",
    "sphinx",
    "xdistutils",
    "yolk",
    "autopep8",
    "pep8",
    "vanity",
    "setuptools>=1.4.1",
    "wheel",
    "pip>=1.4.1"]

if sys.platform == "win32":
    install_requires.append("pyreadline")


setup(name="schmir",
      version="2.1",
      install_requires=install_requires,
      description="meta package that installs a set of packages for a default working environment",)
